$ ! Command procedure to compile the [.FIG2DEV] files for TransFig
$ ! Created;  04/02/93  D M Brooke
$ !
$ ! AXP version P.Moreau 31-Jan-1999
$ !
$ ! To include drivers for the following languages, 
$ ! add the corresponding symbol to the DEFS list:
$ !
$ !    EPIC IBMGL LATEX PIC PICTEX PS PSTEX TEXTYL TPIC
$ !
$ DEFS = "/DEFINE=(EPIC,IBMGL,LATEX,PIC,PICTEX,PS,PSTEX,TEXTYL,TPIC," +-
	 "HAVE_NO_STRNCASECMP,HAVE_NO_STRCASECMP)/PREFIX=ALL"
$ !
$ !  Get additional compiler options (like /DEBUG) via the logical name COPTS
$ cc_options = f$trnlnm("COPTS") + DEFS
$ !
$ !  Get additional linker options (like /DEBUG) via the logical name LOPTS
$ link_options = f$trnlnm("LOPTS")
$ !
$ define/nolog sys DECC$LIBRARY_INCLUDE
$! assign X11R4_Root:[.include] X11Inc
$ !
$ write sys$output "Compiling Fig2Dev sources..."
$ !
$ CC = "CC/DECC/NOWARN/NOLIS"       ! /DECC added  P.Moreau 31-JAN-1999
$ !
$ CC 'cc_options /INCLUDE=([-]) ARROW.C
$ CC 'cc_options /INCLUDE=([-]) BOUND.C
$ CC 'cc_options /INCLUDE=([-]) FIG2DEV.C
$ CC 'cc_options /INCLUDE=([-]) FREE.C
$ CC 'cc_options /INCLUDE=([-]) GETOPT.C
$ CC 'cc_options /INCLUDE=([-]) ISO2TEX.C
$ CC 'cc_options /INCLUDE=([-]) LATEX_LINE.C
$ CC 'cc_options /INCLUDE=([-]) PSFONTS.C
$ CC 'cc_options /INCLUDE=([-]) READ.C
$ CC 'cc_options /INCLUDE=([-]) READ1_3.C
$ CC 'cc_options /INCLUDE=([-]) TRANS_SPLINE.C
$ !
$ IF F$SEARCH("FIG2DEV.OLB_AXP") .EQS. "" THEN LIB/CREATE FIG2DEV.OLB_AXP
$ LIB FIG2DEV.OLB_AXP *.OBJ,[.DEV]*.OBJ
$ !
$ write sys$output "Linking Fig2Dev..."
$ !
$ LINK 'link_options FIG2DEV.OLB_AXP/LIB/INC=FIG2DEV,FIG2DEV_AXP /OPT
$ deassign sys
$! deassign X11Inc
$ !
$ EXIT
