$ ! Command procedure to compile the [.FIG2DEV] files for TransFig
$ ! Created;  04/02/93  D M Brooke
$ !
$ ! To include drivers for the following languages, 
$ ! add the corresponding symbol to the DEFS list:
$ !
$ !    EPIC IBMGL LATEX PIC PICTEX PS PSTEX TEXTYL TPIC
$ !
$ DEFS = "/DEFINE=(EPIC,IBMGL,LATEX,PIC,PICTEX,PS,PSTEX,TEXTYL,TPIC," +-
	 "HAVE_NO_STRNCASECMP,HAVE_NO_STRCASECMP)"
$ !
$ !  Get additional compiler options (like /DEBUG) via the logical name COPTS
$ cc_options = f$trnlnm("COPTS") + DEFS
$ !
$ !  Get additional linker options (like /DEBUG) via the logical name LOPTS
$ link_options = f$trnlnm("LOPTS")
$ !
$ define/nolog sys DECC$LIBRARY_INCLUDE
$! assign X11R4_Root:[.include] X11Inc
$ !
$ write sys$output "Compiling Fig2Dev sources..."
$ !
$ CC = "CC/DECC/STAN=VAXC"    ! /DECC added P.Moreau 31-JAN-1999
$ !
$ CC 'cc_options /INCLUDE=([-]) 'P1
$ !
$ LIB FIG2DEV 'P1
$ delete 'p1.obj;
$ !
$ !
$ EXIT
